package eu.dnetlib.dhp.common.test;

import org.apache.commons.io.IOUtils;

import java.io.IOException;
import java.util.List;
import java.util.Objects;

public class TestUtils {

    public static List<String> getVocabulariesMock() throws IOException {
        return IOUtils
                .readLines(
                        Objects
                                .requireNonNull(
                                        TestUtils.class.getResourceAsStream("/eu/dnetlib/dhp/vocabulary/terms.txt")));
    }

    public static List<String> getSynonymsMock() throws IOException {
        return IOUtils
                .readLines(
                        Objects
                                .requireNonNull(
                                        TestUtils.class.getResourceAsStream("/eu/dnetlib/dhp/vocabulary/synonyms.txt")));
    }

}
